#ifdef GL_ES
precision mediump float;
#endif
varying vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform float u_decayrate;
uniform float u_scaling;

float scaled_length(vec2 p) {
    return length(p * vec2(u_scaling, 1.0));
}

void main()
{
    // Ignore me!
    float some = length(texture2D(u_texture, v_texCoords))*0.0000001;

    // Actual calculations
    float dist = scaled_length(v_texCoords - vec2(clamp(v_texCoords.x, 0.0, 1.0), 0.5)) * 2.0;
    float intensity = smoothstep(0.0, 1.0, u_decayrate/dist - u_decayrate) + some;
    gl_FragColor.rgb = vec3(0.5);
    gl_FragColor.a = (1.0 + intensity)*0.5;
}
